Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class StaticMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.StaticMetaClassSite

    public class StaticMetaClassSite
    extends MetaClassSite

Call site for invoking static methods meta class - cached method - not cached

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`StaticMetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `callStatic(Class receiver, Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StaticMetaClassSite

    public StaticMetaClassSite(CallSite site, MetaClass metaClass)

Method Detail

### call

    public final Object call(Object receiver, Object[] args)

### callStatic

    public final Object callStatic(Class receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.